Bug 208983 - no update for thumbnails of images rotated by kipi plugins
Summary: no update for thumbnails of images rotated by kipi plugins
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Unspecified
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-30 14:22 UTC by intruderkw
Modified: 2012-10-19 13:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description intruderkw 2009-09-30 14:22:06 UTC
Version:            (using KDE 4.3.1)
Installed from:    Unspecified Linux

the thumbnails are not updated after you rotate one or more images whith kipi plugins

it is very simple to reproduce, just mark some image(s) and rotate it by menu>module>image>rotate. So the images are currently rotated but not the thumbnails in gwenview, in digikam are the thumnails rotated

That bug might be not in gwenview, but is makes the whole polish of gwenview down and makes it unusable for fotomanagament

It occurs also in dolphin but in dolphin if you hold the mouspointer over the image it takes the right orientation for the moment where mouse is focusited on it, if you take the focus away the wrong thumbnail comes back. In the Infopopup is also shown the whrong thumbnail.

That whole irritating things makes KDE look like a bunch of unintagrated software not suitable for daily use, just for playing whith some rarely features what the other DE's not have.
Comment 1 Aurelien Gateau 2011-06-05 14:42:23 UTC
Git commit f4963c099238433fd577b3777e4168827fd67087 by Aurélien Gâteau.
Committed on 05/06/2011 at 14:32.
Pushed by gateau into branch 'master'.

Regenerate thumbnails when the files are modified outside of Gwenview

BUG:208983

M  +9    -0    lib/thumbnailview/thumbnailview.cpp     

http://commits.kde.org/gwenview/f4963c099238433fd577b3777e4168827fd67087